Home | Namespaces | Hierarchy | Alphabetical List | Class list | Files | Namespace Members | Class members | File members | Tutorials

# irr::io::SAttributeReadWriteOptions Struct Reference

struct holding data describing options More...

`#include <IAttributeExchangingObject.h>`

List of all members.

## Public Member Functions

| SAttributeReadWriteOptions ()
| Constructor.

## Public Attributes

const c8 * | Filename
| Optional filename.
s32 | Flags
| Combination of E_ATTRIBUTE_READ_WRITE_FLAGS or other, custom ones.

## Detailed Description

struct holding data describing options

Definition at line 34 of file IAttributeExchangingObject.h.

## Constructor & Destructor Documentation

irr::io::SAttributeReadWriteOptions::SAttributeReadWriteOptions | ( |  | ) | `[inline]`

Constructor.

Definition at line 37 of file IAttributeExchangingObject.h.

## Member Data Documentation

const c8* irr::io::SAttributeReadWriteOptions::Filename

Optional filename.

Definition at line 46 of file IAttributeExchangingObject.h.

s32 irr::io::SAttributeReadWriteOptions::Flags

Combination of E_ATTRIBUTE_READ_WRITE_FLAGS or other, custom ones.

Definition at line 43 of file IAttributeExchangingObject.h.

The documentation for this struct was generated from the following file:

- IAttributeExchangingObject.h

| The Irrlicht Engine Documentation © 2003-2010 by Nikolaus Gebhardt. Generated on Sun Oct 24 12:42:06 2010 by Doxygen (1.6.2)